E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::ServerBufferIn::Config Struct Reference

A configuration structure for GSmtp::ServerBufferIn. More...

`#include <gsmtpserverbufferin.h>`

## Public Member Functions
Config & | set_input_buffer_soft_limit (std::size_t) noexcept
Config & | set_input_buffer_hard_limit (std::size_t) noexcept

## Public Attributes
std::size_t | input_buffer_soft_limit {G::Limits<>::net_buffer}
std::size_t | input_buffer_hard_limit {static_cast<std::size_t>(G::Limits<>::net_buffer)*4U}

## Detailed Description

A configuration structure for GSmtp::ServerBufferIn.

Definition at line 78 of file gsmtpserverbufferin.h.

## Member Function Documentation

## ◆ set_input_buffer_hard_limit()

GSmtp::ServerBufferIn::Config & GSmtp::ServerBufferIn::Config::set_input_buffer_hard_limit | ( | std::size_t | n | ) |
| inline noexcept

Definition at line 138 of file gsmtpserverbufferin.h.

## ◆ set_input_buffer_soft_limit()

GSmtp::ServerBufferIn::Config & GSmtp::ServerBufferIn::Config::set_input_buffer_soft_limit | ( | std::size_t | n | ) |
| inline noexcept

Definition at line 137 of file gsmtpserverbufferin.h.

## Member Data Documentation

## ◆ input_buffer_hard_limit

std::size_t GSmtp::ServerBufferIn::Config::input_buffer_hard_limit {static_cast<std::size_t>(G::Limits<>::net_buffer)*4U}

Definition at line 81 of file gsmtpserverbufferin.h.

## ◆ input_buffer_soft_limit

std::size_t GSmtp::ServerBufferIn::Config::input_buffer_soft_limit {G::Limits<>::net_buffer}

Definition at line 80 of file gsmtpserverbufferin.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpserverbufferin.h